lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master d8bbbd3 3/4: Combine make and autotools CI bu


From: Vadim Zeitlin
Subject: [lmi-commits] [lmi] master d8bbbd3 3/4: Combine make and autotools CI build steps in a single one
Date: Thu, 13 May 2021 07:34:16 -0400 (EDT)

branch: master
commit d8bbbd3d34867bbc49721cfed3fd55b6c2939217
Author: Vadim Zeitlin <vadim@tt-solutions.com>
Commit: Vadim Zeitlin <vadim@tt-solutions.com>

    Combine make and autotools CI build steps in a single one
    
    Don't skip half of these steps in each of the builds, this consumes log
    space and looks rather confusing, instead always perform but just do it
    differently depending on whether we're using the official makefiles or
    autotools.
    
    This commit is best viewed ignoring whitespace-only changes.
---
 .github/workflows/ci.yml | 70 +++++++++++++++++++++++-------------------------
 1 file changed, 34 insertions(+), 36 deletions(-)

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 98ca0e2..de749f5 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -246,13 +246,13 @@ jobs:
             exit $err
           fi
 
-      - name: Build lmi (autotools)
-        if: matrix.autotools
-        run: make --keep-going V=1 $coefficiency -C ${lmi_build_dir}
-
       - name: Build lmi
-        run: make $coefficiency --output-sync=recurse
-        if: matrix.autotools != true
+        run: |
+          if [ ${{ matrix.autotools }} ]; then
+            make --keep-going V=1 $coefficiency -C ${lmi_build_dir}
+          else
+            make $coefficiency --output-sync=recurse
+          fi
 
       - name: Build lmi with SO attributes
         if: matrix.autotools != true
@@ -293,22 +293,21 @@ jobs:
           printf '391daa5cbc54e118c4737446bcb84eea'           
>/opt/lmi/data/passkey
 
       - name: Install
-        if: matrix.autotools
         run: |
-          env -C /opt/lmi/data $(pwd)/${lmi_build_dir}/product_files
-
-          # These files are used by input test from this hardcoded location.
-          cp \
-            cell.xsd \
-            multiple_cell_document.xsd \
-            single_cell_document.xsd \
-            sort_cell_subelements.xsl \
-            types.xsd \
-            /opt/lmi/data
-
-      - name: Install
-        if: matrix.autotools != true
-        run: make install
+          if [ ${{ matrix.autotools }} ]; then
+            env -C /opt/lmi/data $(pwd)/${lmi_build_dir}/product_files
+
+            # These files are used by input test from this hardcoded location.
+            cp \
+              cell.xsd \
+              multiple_cell_document.xsd \
+              single_cell_document.xsd \
+              sort_cell_subelements.xsl \
+              types.xsd \
+              /opt/lmi/data
+          else
+            make install
+          fi
 
       - name: Check concinnity and physical closure
         if: matrix.autotools != true
@@ -324,25 +323,24 @@ jobs:
         if: matrix.autotools != true
         run: make $coefficiency cli_tests
 
-      - name: Run unit tests (autotools)
-        if: matrix.autotools
+      - name: Run unit tests
         run: |
-          make --keep-going V=1 $coefficiency -C ${lmi_build_dir} check || 
err=$?
-
-          if [ -n "$err" ]; then
-            if [ -f ${lmi_build_dir}/test-suite.log ]; then
-                echo '*** Tests failed, contents of test-suite.log follows: 
***'
-                echo 
'-----------------------------------------------------------'
-                cat ${lmi_build_dir}/test-suite.log
-                echo 
'-----------------------------------------------------------'
+          if [ ${{ matrix.autotools }} ]; then
+            make --keep-going V=1 $coefficiency -C ${lmi_build_dir} check || 
err=$?
+
+            if [ -n "$err" ]; then
+              if [ -f ${lmi_build_dir}/test-suite.log ]; then
+                  echo '*** Tests failed, contents of test-suite.log follows: 
***'
+                  echo 
'-----------------------------------------------------------'
+                  cat ${lmi_build_dir}/test-suite.log
+                  echo 
'-----------------------------------------------------------'
+              fi
+              exit $err
             fi
-            exit $err
+          else
+            make $coefficiency unit_tests
           fi
 
-      - name: Run unit tests
-        if: matrix.autotools != true
-        run: make $coefficiency unit_tests
-
       - name: Run GUI tests
         if: matrix.mingw
         run: |



reply via email to

[Prev in Thread] Current Thread [Next in Thread]